# Soustavy lineárních rovnic

### Typy soustav

- **homogenní**
	- s nulovým sloupcem vpravo (nemusí se psát)
- **nehomogenní**
	- s čísly vpravo oddělenými svislou čárou (značí $=$)

### Řešení soustavy

1. přepíšu do matice a vyřeším pomocí GEM/GJEM
2. najdu pivoty (první nenulové číslo v řádku) a ke sloupcům bez pivota přiřadím parametry (např.: $x_3 = t, t \in R$)
3. řádky zapíšu jako rovnice (např.: $2x_1 + 3x_2 + x_4 = 0$)
4. z rovnic vyjádřím jednotlivá x

#### Možná řešení

- soustava nemá řešení
- soustava má jedno řešení
- soustava má nekonečně mnoho řešení

### Cramerovo pravidlo

- používá se u čtvercových regulárních matic (viz hodnost matice)
- každý cramerovský systém má **1 řešení**
- zjistíme determinant z matice A a také z každé nové matice
	- nové matice vytvoříme postupným nahrazením každého sloupce v matici za pravou stranu
	- první matice bude mít nahrazený pouze 1. sloupec, druhá pouze 2., ...
	- výsledkem matice je poté $x_{1} = \frac{\det A_{1}}{\det A}$, $x_{2} = \frac{\det A_{2}}{\det A}$, $x_{i} = \frac{\det A_{i}}{\det A}$